<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Engine_Package_Manager_Operation_Remove
  extends Engine_Package_Manager_Operation_Abstract
{
  protected function _setPackages(Engine_Package_Manifest $targetPackage,
      Engine_Package_Manifest $currentPackage = null)
  {
    $this->_targetPackage = null; //$targetPackage;
    $this->_currentPackage = ( $targetPackage ? $targetPackage : $currentPackage );
  }
  
  public function getSourcePackage()
  {
    return $this->getPackage();
  }
  
  public function getResultantPackage()
  {
    return null;
  }

  public function doInstall()
  {

  }
}
